### Method

# Gegl Metadata iter_set_value

#### Declaration [src]

    gboolean
    gegl_metadata_iter_set_value (
      GeglMetadata* metadata,
      GeglMetadataIter* iter,
      const GValue* value
    )

#### Description [src]

Set application data retrieved from image file’s metadata. Intended for use by the image file reader. If the operation fails it returns `FALSE` and `value` is ignored.

#### Parameters

`iter`

  Type: `GeglMetadataIter`

  `GeglMetadataIter` referencing the value to set.

  The data is owned by the caller of the method.

`value`

  Type: `GValue`

  Value to set in the interface.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if successful.